> ## Documentation Index
> Fetch the complete documentation index at: https://platform.atlan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List per-minute usage



## OpenAPI

````yaml /public-openapi.json get /registry/v1/usage/minutes
openapi: 3.1.0
info:
  title: Atlan public API
  version: current
  description: >-
    Public HTTP API reference for Registry, Skills, Agents, outputs, files, MCP
    servers and tools, and OTLP telemetry ingestion.
servers:
  - url: https://agentgateway.atlan.engineering
    description: Atlan API base URL
security:
  - bearer: []
tags:
  - name: Core
  - name: Skill
  - name: Agent
  - name: Files
  - name: MCP
  - name: Observability
  - name: Usage
paths:
  /registry/v1/usage/minutes:
    get:
      tags:
        - Usage
      summary: List per-minute usage
      operationId: registry.listUsageMinutes
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/usage-UsageMinutesPage'
          description: HTTP 200 response.
        '400':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/usage-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - invalid_request
          description: HTTP 400 response.
        '401':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/usage-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - alg_mismatch
                          - alg_not_allowed
                          - audience_mismatch
                          - invalid_api_key
                          - missing_identity
                          - missing_org
                          - missing_user
                          - signature_invalid
                          - token_expired
                          - token_malformed
                          - token_missing
                          - token_not_yet_valid
                          - token_rejected
                          - token_service_account_unbound
                          - unknown_account
                          - unknown_key
                          - untrusted_issuer
          description: HTTP 401 response.
        '403':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/usage-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - access_denied
                          - account_suspended
          description: HTTP 403 response.
        '500':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/usage-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - internal_error
          description: HTTP 500 response.
        '503':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/usage-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - auth_unavailable
                          - service_overloaded
          description: HTTP 503 response.
        '504':
          content:
            application/problem+json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/usage-ProblemDetails'
                  - type: object
                    required:
                      - code
                    properties:
                      code:
                        type: string
                        enum:
                          - request_timeout
          description: HTTP 504 response.
      security:
        - bearer: []
components:
  schemas:
    usage-UsageMinutesPage:
      type: object
      required:
        - items
        - page
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/usage-UsageMinuteDto'
        page:
          $ref: '#/components/schemas/usage-registry-PageMeta'
    usage-ProblemDetails:
      type: object
      required:
        - title
        - status
        - detail
        - code
      properties:
        code:
          type: string
        detail:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
        title:
          type: string
        trace_id:
          type:
            - string
            - 'null'
    usage-UsageMinuteDto:
      allOf:
        - $ref: '#/components/schemas/usage-UsageCounters'
        - type: object
          required:
            - bucket_start
            - workspace_id
            - surface
            - operation
            - user_id
            - provider_id
            - resource_name
            - status
            - writer_id
            - updated_at
          properties:
            bucket_start:
              type: string
            operation:
              type: string
            provider_id:
              type: string
            resource_name:
              type: string
            status:
              type: string
            surface:
              type: string
            updated_at:
              type: string
            user_id:
              type: string
            workspace_id:
              type: string
            writer_id:
              type: string
    usage-registry-PageMeta:
      type: object
      required:
        - limit
        - offset
      properties:
        limit:
          type: integer
          format: int32
          minimum: 0
        offset:
          type: integer
          format: int32
          minimum: 0
        total:
          type:
            - integer
            - 'null'
          format: int64
          minimum: 0
    usage-UsageCounters:
      type: object
      required:
        - requests
        - input_tokens
        - output_tokens
        - cache_read_tokens
        - cache_write_tokens
        - reasoning_tokens
        - cost_nanos
        - duration_ms_sum
      properties:
        cache_read_tokens:
          type: integer
          format: int64
        cache_write_tokens:
          type: integer
          format: int64
        cost_nanos:
          type: integer
          format: int64
        duration_ms_sum:
          type: integer
          format: int64
        input_tokens:
          type: integer
          format: int64
        output_tokens:
          type: integer
          format: int64
        reasoning_tokens:
          type: integer
          format: int64
        requests:
          type: integer
          format: int64
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````